//+----------------------------------------------------------------------+
//|								    DAPsim								 |
//| Dean Morrison												11/30/06 |
//| University of Florida												 |
//| Department of Electrical and Computer Engineering					 |
//+----------------------------------------------------------------------+
//| Description: DAPsim is a trace-driven simulator developed in C++ for |
//| the purpose of designing, testing, and evaluating demand prepaging 	 |
//| policies.  It currently implements my proposed concept of Dynamically|
//| Adaptive Prepaging, but may be modified to evaluate many other 		 |
//| policies.															 |
//|																		 |
//| Reuse Policy: Use of this software for personal or instructional	 |
//| purposes is granted without fee provided that the source bears a	 |
//| clear and complete citation.										 |
//+----------------------------------------------------------------------+

#include "main.h"
#include "LRU_pageQ_entry.h"

LRU_pageQ_entry::LRU_pageQ_entry()
{
	pageNumber = 0;
	lruValue = 0;
	resident = true;
	//histValue = 0;
}

LRU_pageQ_entry::LRU_pageQ_entry(unsigned long int newPageNumber, int newLruValue, bool newResidency)
{
	pageNumber = newPageNumber;
	lruValue = newLruValue;
	resident = newResidency;
	//histValue = newHistValue;
}

void LRU_pageQ_entry::setPageNumber(unsigned long int newPageNumber)
{
	pageNumber = newPageNumber;
}

void LRU_pageQ_entry::setLRUValue(int newLruValue)
{
	lruValue = newLruValue;
}

void LRU_pageQ_entry::setResidency(bool newResidency)
{
	resident = newResidency;
}

/*
void LRU_pageQ_entry::setHistValue(int newHistValue)
{
	histValue = newHistValue;
}
*/

unsigned long int LRU_pageQ_entry::getPageNumber(void)
{
	return pageNumber;
}

int LRU_pageQ_entry::getLRUValue(void)
{
	return lruValue;
}

bool LRU_pageQ_entry::getResidency(void)
{
	return resident;
}

/*
int LRU_pageQ_entry::getHistValue(void)
{
	return histValue;
}
*/

/*
void LRU_pageQ_entry::incHistValue(void)
{
	histValue++;
}
*/